Subject: Offloading is now working!

From: Christopher Baines <[email-masked]>
Date: Thu, 31 Aug 2017 18:32:57 +0100

I tried again, and after one small change, things are now working!

Firstly, I was getting messages like:

process 1011 acquired build slot '/var/guix/offload/capella.local/0'
;;; [2017/08/31 18:16:40.455763, 0] private-key-from-file: [GSSH ERROR]
The file does not exist or permission denied: "/root/.ssh/id_rsa"

This was coming up over and over again, maybe I was hitting the same
problem, but this GSSH ERROR is something that I haven't seen before.

I had a look at the Guix source, and noticed that the private key to
use is a function of the current user. But as this is the offloader
script, I'm pretty sure that relates to the user of the guix-daemon,
which in my case is root. In my case, I want to offload as my user, so
I set private-key explicitly in /etc/guix/machines.scm, and now it just
works!